

#############################################################################
# Copyright (C) Labomedia May 2012
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franproplin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#############################################################################
#
## set_scene.py
#
#  This script run every frame and display the good scene.
#
#############################################################################

import GameLogic as gl


# Get some variable in GameLogic
level = gl.level
level_change = gl.level_change
goal = gl.goal

# Get scenes
scenes = gl.getSceneList()

def main():
    # Display the good scene
    if level_change == 1 :
        set_scene_level(level_change, scenes)
        gl.level_change = 0

def set_scene_level(level_change, scenes):
    ## Set scene of the level. If new or lost players
    # End the current scene
    for n in range(1, 11):
        for scn in scenes :
            if scn.name == str(n) + "_players" :
                print(scn.name)
                scn.end()
    # Start new level
    if level != 0 :
        gl.addScene(str(level) + "_players")

cont = gl.getCurrentController()
sens = cont.sensors["Set Scene"]

if sens.positive:
    main()
